Rock
DagdrømNadja
Germany 2012 (Broken Spine Productions bsp06)Винил. Пластинка; LP; Альбом; Лимитированное издание
Electronic, Rock
The Black HandThe Skull Defekts
UK 2007 (Riot Season REPOSELP014)Винил. Пластинка; LP; Лимитированное издание
Living EyesRadio Birdman
Australia 2024 (Citadel (7) CITLP)Винил. Пластинка; LP; Альбом; Лимитированное издание
The Kids Will Have Their SaySSD
US 2024 (Xclaim! no.1)Винил. Пластинка; 12"; 45 RPM; Альбом
Lenny Lashley's Gang Of OneLenny Lashley's Gang Of One
US 2011 (Holdfast Records HF001)Винил. Пластинка; 7"; Лимитированное издание; Numbered
Split SingleThe Phoenix Foundation , Custody
UK & Europe 2019 (Little Rocket Records (2) LRR-030 SP)Винил. Пластинка; 7"; 33 ⅓ RPM; 45 RPM
Mucky PupPuncture
UK 1977 (Small Wonder Records small one)Винил. Пластинка; Сингл; 45 RPM; Лимитированное издание
Death Is Nothing To UsFiddlehead
USA & Canada 2023 (Run For Cover Records (2) RFC 259)Винил. Пластинка; LP; Альбом; Лимитированное издание
Calling The DogsCitiZen
US 2023 (Run For Cover Records (2) RFC264)Винил. Пластинка; LP; Альбом; Лимитированное издание
Pop, Rock
Don’t Wait For A Signjeanines
US 2022 (Slumberland Records SLR 262)Винил. Пластинка; LP; 45 RPM; Лимитированное издание
As You PleaseCitiZen
US 2023 (Run For Cover Records (2) RFC162)Винил. Пластинка; LP; Альбом; Лимитированное издание
Life In Your Glass WorldCitiZen
US 2021 (Run For Cover Records (2) RFC212)Винил. Пластинка; LP; Альбом; Лимитированное издание
Get Your Yo Yo's Out (Eater Live E.P.)Eater
UK 1978 (The Label (2) TLR 007)Винил. Пластинка; 12"; 45 RPM; EP
Never EnderHot Water Music
Europe 2026 (none)Винил. Пластинка; LP; Сборник; Лимитированное издание
Chixdiggit!Chixdiggit
Italy 2024 (Hey Suburbia SUB045)Винил. Пластинка; LP; Альбом; Лимитированное издание
Pussy For SaleLaughin' Nose
Sweden 2012 (Under The Radar (6) none)Винил. Пластинка; LP; Мини-альбом; Лимитированное издание
Troubleman Solo Singles Series #6Tara Jane O'Neil
US 2000 (Troubleman Unlimited TMU 052)Винил. Пластинка; 7"; Сингл; Лимитированное издание
An Intimate Study Of AlcoholRavetank
US 2019 (Mount Seldom Records MSR054)Кассета. Кассета; Альбом; Лимитированное издание; Numbered
Album Generic FlipperFlipper
US 2026 (Superior Viaduct SV210)Винил. Пластинка; LP; Альбом; Лимитированное издание
Live At Dead LakeHot Club De Paris
UK 2008 (Moshi Moshi Records MOSHICD23)Компакт-диск. CD; Альбом; EP; Лимитированное издание
Rat Saw GodWednesday
US 2023 (Dead Oceans DOC328)Винил. Пластинка; LP; Альбом; Лимитированное издание
Melon EnemaEat Me
UK 2016 (Crust Baby Records none)Кассета. Кассета; EP; Лимитированное издание
The RaincoatsThe Raincoats
UK 2022 (We Three WE 1)Винил. Пластинка; LP; Альбом; Лимитированное издание
Crush the Sublime GodsDr. Living Dead!
Europe 2015 (Century Media 9985278)Компакт-диск. CD; Альбом; Лимитированное издание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.